/*-----------------------------------------------------------------------------

� 1999, Steinberg Soft und Hardware GmbH, All Rights Reserved

-----------------------------------------------------------------------------*/
#include <stdio.h>
#include "iir.h"
#include "Vitalisierer2.hpp"	// *change*

static AudioEffect *effect = 0;
bool oome = false;

AEffect *VSTPluginMain (audioMasterCallback audioMaster)
{
	// get vst version
	if (!audioMaster (0, audioMasterVersion, 0, 0, 0, 0))
		return 0;  // old version

	effect = new Filter (audioMaster);
	if (!effect)
		return 0;
	if (oome)
	{
		delete effect;
		return 0;
	}
	return effect->getAeffect ();
}

extern "C" __cdecl AEffect* deprecated_main(
    audioMasterCallback audioMaster) asm("main");
__cdecl AEffect* deprecated_main(audioMasterCallback audioMaster) {
    return VSTPluginMain(audioMaster);
}
